Subject: RE: are we willing to do change how we do discussions in IETF? (was: moving from hosts to sponsors)

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Fri, 24 Mar 2006 12:07:31 -0800

> From: Keith Moore [mailto:[email-masked]] 

> > > From: Keith Moore [mailto:[email-masked]]
> > 
> > > I think that Dave's message reflects a common frustration in IETF 
> > > that we talk a lot about particular problems and never seem to do 
> > > anything about them.
> > 
> > Quite so, which is why most of us feel that there should be 
> a strong 
> > bias in favor of action and experimentation rather than 
> inertia and analysis.
> 
> I hope you're wrong about that, because this is supposed to 
> be an engineering organization.  It is infeasible to 
> determine by experimentation how well a protocol will work at 
> Internet scale.

We are talking about experimentation in ways of doing business at the scale
of an organization with approximately 2,500 or so active members. The
individual working groups have at most 100 active members. That is four
orders of magnitude less than Internet scale.

The comparison is utterly ludicrous and overblown. The IETF has singularly
failed to scale to Internet size. It has not even made a serious effort. It
is extremely unlikely that any organization would work at that scale.

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: Keith Moore <[email-masked]>
Date: Fri, 24 Mar 2006 15:28:19 -0500

> > > a strong bias in favor of action and experimentation rather than 
> > > inertia and analysis.
> > 
> > be an engineering organization.  It is infeasible to determine by 
> > experimentation how well a protocol will work at Internet scale.
> 

Ah, the message you replied to was talking about both.  But as I said
in that message:

> I'm all for experimentation about how we run meetings as long as we
> take reasonable care in designing the experiments, identify effective
> ways to evaluate the results of the experiments, and leave ourselves
> room to adopt a different course if we don't like the results.

and you could generalize this a bit from "how we run meetings" to
"how we conduct business".

Keith